> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-9-1.md).

# Version 6.9.1 Changelog (November 20, 2018)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.9.1.68406

Release Date: November 20, 2018

## New features

* Apryse library can now be automatically initialized through the content provider. It is important that you set your license key either through automatic initialization or programmatic initialization, see guide here: [add license key](/android/get-started/faq/add-license.md).
* The color of link highlights when clicked can now be changed through the colors with name `tools_link_stroke` and `tools_link_fill`. Simply override these two colors in your application's `colors.xml` to change to desired color.

## Fixed

* Fixed potential ANR on some devices when loading PDF documents when system font is not available
* Fixed dynamically toggling visibility of highlight/ink/signature icons in the AnnotationToolbar through `ToolManager.disableToolMode`/`ToolManager.enableToolMode` does not work

## APIs

### Added

* [`PdfViewCtrlTabHostFragment::closeAllTabs`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/controls/PdfViewCtrlTabHostFragment.html#closeAllTabs\(\))
* [`PdfViewCtrlTabHostFragment::setToolbarTimerDisabled`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/controls/PdfViewCtrlTabHostFragment.html#setToolbarTimerDisabled\(boolean\))


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-9-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
